#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t,n,k;
    cin>>t;
    long m;
    for(int i=0;i<t;i++)
        {
        cin>>n>>m>>k;
        long s= (k*(n/k)*(n/k+1))/2;
        long l= (n%k)*(n/k+1);
        if(m>=s+l && n>=k) cout<<"Tak"<<endl;
        else cout<<"Nie"<<endl;
        
        
        
        }

    return 0;
}